package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazIdenMwZ;

/**
 * 辨识表MW_Z版 数据层
 */
@Mapper
public interface TBusiHazIdenMwZMapper {

    /**
     * 查询辨识表MW_Z版信息
     * @param guid 查询条件
     * @return 辨识表MW_Z版信息
     */
    TBusiHazIdenMwZ selectTBusiHazIdenMwZByGuid(String guid);

    /**
     * 查询辨识表MW_Z版列表
     * @param tBusiHazIdenMwZ 辨识表MW_Z版查询条件
     * @return 辨识表MW_Z版集合
     */
    List<TBusiHazIdenMwZ> selectTBusiHazIdenMwZList(TBusiHazIdenMwZ tBusiHazIdenMwZ);

    /**
     * 新增辨识表MW_Z版
     * @param tBusiHazIdenMwZ 辨识表MW_Z版信息
     * @return 影响行数
     */
    int insertTBusiHazIdenMwZ(TBusiHazIdenMwZ tBusiHazIdenMwZ);

    /**
     * 修改辨识表MW_Z版
     * @param tBusiHazIdenMwZ 辨识表MW_Z版信息
     * @return 影响行数
     */
    int updateTBusiHazIdenMwZ(TBusiHazIdenMwZ tBusiHazIdenMwZ);

    /**
     * 删除辨识表MW_Z版
     * @param guid 辨识表MW_Z版主键
     * @return 影响行数
     */
    int deleteTBusiHazIdenMwZByGuid(String guid);

    /**
     * 批量删除辨识表MW_Z版
     * @param guids 辨识表MW_Z版主键数组
     * @return 影响行数
     */
    int deleteTBusiHazIdenMwZByGuids(String[] guids);
}
